Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.runtime
Interface WLECConnectionPoolRuntimeMBean

public interface WLECConnectionPoolRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

This class is used for monitoring a WebLogic WLEC Connection Pool

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`WLECConnectionRuntimeMBean[]` | `getConnections()` Returns an array of WLECConnectionRuntimeMBeans that each represents the statistics for a WLEC Connection.
`int` | `getMaxCapacity()` Returns the maximum capacity configured for this WLEC pool.
`java.lang.String` | `getPoolName()` Returns the configured name of this WLEC pool.
`java.lang.String` | `getPoolState()` Returns the pool state as one of 'Active' 'Suspended'
`java.lang.String` | `getWLEDomainName()` Returns the WLE DomainName this WLEC pool is connected to.
`boolean` | `isCertificateBasedAuthentication()` Is certificate-based authentication enabled
`boolean` | `isSecurityContextPropagation()` Is the security context propagated
`int` | `resetConnectionPool()` Resets the connection pool.

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getPoolName

    public java.lang.String getPoolName()

  Returns the configured name of this WLEC pool.

  Returns:
    The poolName value

### getWLEDomainName

    public java.lang.String getWLEDomainName()

  Returns the WLE DomainName this WLEC pool is connected to.

  Returns:
    The wLEDomainName value

### getMaxCapacity

    public int getMaxCapacity()

  Returns the maximum capacity configured for this WLEC pool.

  Returns:
    The maxCapacity value

### getPoolState

    public java.lang.String getPoolState()

  Returns the pool state as one of 'Active' 'Suspended'

  Returns:
    The poolState value

### isSecurityContextPropagation

    public boolean isSecurityContextPropagation()

  Is the security context propagated

  Returns:
    The securityContextPropagation value

### isCertificateBasedAuthentication

    public boolean isCertificateBasedAuthentication()

  Is certificate-based authentication enabled

  Returns:
    The certificateBasedAuthentication value

### getConnections

    public WLECConnectionRuntimeMBean[] getConnections()

  Returns an array of WLECConnectionRuntimeMBeans that each represents the statistics for a WLEC Connection.

  Returns:
    The connections value

### resetConnectionPool

    public int resetConnectionPool()

  Resets the connection pool.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD